local randos = {};
for i=1,3 do
	randos[i] = string.sub(SONGMAN:GetRandomSong():GetDisplayMainTitle() ,1,5) .. "...";
end;

local t = Def.ActorFrame{
	LoadActor("base");
	AutoText("frutiger",true)..{
		Text="1) "..randos[1];
		InitCommand=cmd(x,-27;y,-21;maxwidth,124;horizalign,left;NoStroke;shadowlength,1;zoom,0.45);
	};
	AutoText("frutiger",true)..{
		Text="2) "..randos[2];
		InitCommand=cmd(x,-27;y,-1;maxwidth,124;horizalign,left;NoStroke;shadowlength,1;zoom,0.45);
	};
	AutoText("frutiger",true)..{
		Text="3) "..randos[3];
		InitCommand=cmd(x,-27;y,18;maxwidth,124;horizalign,left;NoStroke;shadowlength,1;zoom,0.45);
	};
};

return t;